Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader
Interface CacheLoaderAop

All Superinterfaces:
  CacheLoader, org.jboss.system.Service

    public interface CacheLoaderAop

extends CacheLoader

Responsible for storing and retrieving objects to/from secondary storage.

Version:
  $Id: CacheLoaderAop.java,v 1.1.1.1 2005/03/31 10:15:05 belaban Exp $
Author:
  Bela Ban Oct 31, 2003

Method Summary
`java.lang.Object` | `loadObject(Fqn name)` Loads an object from a persistent store.
`void` | `removeObject(Fqn name)` Removes the object with the given key from the persistent store.
`void` | `storeObject(Fqn name, java.lang.Object pojo)` Stores an object under a given key in the persistent store.

Methods inherited from interface org.jboss.cache.loader.CacheLoader
`commit, exists, get, getChildrenNames, loadEntireState, prepare, put, put, put, remove, remove, removeData, rollback, setCache, setConfig, storeEntireState`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### loadObject

    java.lang.Object loadObject(Fqn name)
                                throws java.lang.Exception

  Loads an object from a persistent store.

  Parameters:
    `name` - The key under which the object is stored
  Returns:
    The object
  Throws:
    `java.lang.Exception` - Thrown if the object cannot be loaded

### storeObject

    void storeObject(Fqn name,
                     java.lang.Object pojo)
                     throws java.lang.Exception

  Stores an object under a given key in the persistent store. If the object is already present, it will be overwritten

  Parameters:
    `name` -
    `pojo` -
  Throws:
    `java.lang.Exception`

### removeObject

    void removeObject(Fqn name)
                      throws java.lang.Exception

  Removes the object with the given key from the persistent store.

  Parameters:
    `name` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.